{% extends "base.html" %} {% block title %}
<title>生成订单</title>
<link rel="stylesheet" type="text/css" href="{{url_for('user.static',filename='css/Switch.css')}}" />
<style>
    .right {
        float: right;
    }
</style>
{% endblock %} {% block css %} {{ super() }} {% endblock %} {% block header %} {{ super() }} {% endblock %} {% block
main %}
<main>
    <!-- <a href="{{url_for('item.content',item_id=item.id)}}">返回商品页</a>
    <br />
    <a href="#" id="address_note">请选择你的地址</a>

    <a href="{{url_for('item.content',item_id=item.id)}}">商品ID:{{item.id}}, 单价:{{item.price}}元，库存/需求：{{item.shelved_num}}</a>
    <div class="building-info-wrap">
        请输入购买数量

        <input type="text" value="1" placeholder="1" id="number" />
        请输入备注
        <input type="text" value="" placeholder="请输入你的备注..." id="order_note" />
        <a class="btn" onclick="submit_order()">提交</a>
    </div> -->

    <!-- breadcrumb-area -->
    <div class="breadcrumb-area breadcrumb-bg-two">
        <div class="container custom-container">
            <div class="row">
                <div class="col-12">
                    <div class="breadcrumb-content">
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a
                                        href="{{url_for('item.content',item_id=item.id)}}">返回商品页</a></li>
                                <li class="breadcrumb-item active" aria-current="page">生成订单</li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- breadcrumb-area-end -->
    <!-- cart-area -->
    <div class="cart-area pt-90 pb-90">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-xl-7">
                    <div class="cart-wrapper">
                        <div class="table-responsive">
                            <table class="table mb-0">
                                <thead>
                                    <tr>
                                        <th class="product-thumbnail"></th>
                                        <th class="product-name">商品/悬赏</th>
                                        <th class="product-price">单价</th>
                                        <th class="product-quantity">数量</th>
                                        <th class="product-subtotal">总价</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td class="product-thumbnail" id="itemPic"></td>
                                        <td class="product-name" id="itemName"></td>
                                        <td class="product-price" id="itemPrice"></td>
                                        <td class="product-quantity">
                                            <div class="cart--plus--minus">
                                                <form action="javascript:void(0)" class="num-block">
                                                    <input type="text" class="in-num" value="1" style="width: 100px"
                                                        onblur="check_buy_num()" id="buy_num" />
                                                    <div class="qtybutton-box">
                                                        <span class="plus"><i class="fas fa-angle-up"></i></span>
                                                        <span class="minus dis"><i class="fas fa-angle-down"></i></span>
                                                    </div>
                                                </form>
                                            </div>
                                        </td>
                                        <td class="product-subtotal" id="totalPrice"></td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <div class="col-xl-5 col-lg-12">
                    <div class="shop-cart-total">
                        <h3 class="title">确认订单</h3>
                        <div class="shop-cart-widget">
                            <form action="javascript:void(0)">
                                <ul>
                                    <h6>地址</h6>
                                    <select id="address" class="custom-select"></select>
                                    <li class="shop-check-wrap"></li>
                                    <a class="btn" href="{{url_for('user.address')}}">点击前往地址管理</a>
                                    <li class="shop-check-wrap"></li>
                                    <h6>备注</h6>
                                    <div class="shop-check-wrap">
                                        <textarea id="order_note" placeholder="请输入你的备注..." style="resize: none"
                                            maxlength="150" cols="50" rows="3"></textarea>
                                    </div>
                                    <li></li>
                                    <li class="cart-total-amount">
                                        <span>总价</span>
                                        <span id="_totalPrice"></span>
                                    </li>
                                </ul>
                                <a onclick="submit_order()" class="btn">提交</a>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- cart-area-end -->
</main>
{% endblock %} {% block footer %} {{ super() }} {% endblock %} {% block js %} {{ super() }}

<script type="text/javascript" charset="utf-8">
    var debug = 0;
    var item_id = "{{ item.id|safe }}";
    var item_name = "{{ item.name|safe }}";
    var item_price = "{{ item.price|safe }}";
    $(document).ready(function () {
        $("#itemName").append(`<h4><a href="/item/content/${item_id}">${item_name}</a></h4>`);

        $("#itemPrice").append(`￥${item_price}`);
        $("#totalPrice").append(`￥${item_price}`);
        $("#_totalPrice").text(`￥${item_price}`);
        let url = "/api/get_address";
        if (debug) url = `http://127.0.0.1:4523/mock/927026${url}`;
        $.ajax({
            url: url,
            type: "get",
            success: function (ret) {
                if (ret.data.length > 0) {
                    let ta_tab = $("#address");
                    for (let i = 0; i < ret.data.length; i++) {
                        if (ret.data[i].default == true) ta_tab.append(`<option id="option${i}" value="" selected="selected"></option>`); //添加一列
                        else ta_tab.append(`<option id="option${i}" value=""></option>`); //添加一列
                        let address_info = ret.data[i].name + "-" + ret.data[i].campus_branch + "-" + ret.data[i].full_address + "-" + ret.data[i].telephone;
                        $(`#option${i}`).val(ret.data[i].id);
                        $(`#option${i}`).text(address_info);
                    }
                } else {
                    let note = $("#address_note");
                    note.text("您还没有设置地址哦, 请前往此链接设置地址");
                    note.attr("href", `{{url_for('user.address')}}`);
                }
            },
        });

        //$.ajax({
        //    url: url,
        //    type: "get",
        //    success: function (ret) {
        //        if (ret.data.length > 0) {
        //            let ta_tab = $("#address");
        //            for (let i = 0; i < ret.data.length; i++) {
        //                if (ret.data[i].default == true) ta_tab.append(`<option id="option${i}" value="" selected="selected"></option>`); //添加一列
        //                else ta_tab.append(`<option id="option${i}" value=""></option>`); //添加一列
        //                let address_info = ret.data[i].name + "-" + ret.data[i].campus_branch + "-" + ret.data[i].full_address + "-" + ret.data[i].telephone;
        //                $(`#option${i}`).val(ret.data[i].id);
        //                $(`#option${i}`).text(address_info);
        //            }
        //        } else {
        //            let note = $("#address_note");
        //            note.text("您还没有设置地址哦, 请前往此链接设置地址");
        //            note.attr("href", `{{url_for('user.address')}}`);
        //        }
        //    },
        //});

        $.ajax({
            url: "/api/get_item_head_pic",
            async: false,
            data: { item_id: item_id },
            type: "get",
            success: function (ret) {
                $("#itemPic").append(`<a href="/item/content/${item_id}"><img src=${ret.data.url}></a>`);
            },
        });
    });
    function submit_order() {
        url = "/api/order_post";
        if (debug) url = `http://127.0.0.1:4523/mock/927026${url}`;
        let contact_id = $("#address option:selected").val();
        let note = $("#order_note").val();
        let number = $("#buy_num").val();
        let data = {
            item_info: [{ num: number, item_id: item_id }],
            contact_id: contact_id,
            note: note,
        };
        console.log(data);
        $.ajax({
            // query形式
            url: url,
            type: "post",
            contentType: "application/json;charset=utf-8",
            processData: false,
            data: JSON.stringify({
                item_info: [{ num: number, item_id: item_id }],
                contact_id: contact_id,
                note: note,
            }),
            async: false, // 当需要将值传给函数外部时需要强制同步
            success: function (ret) {
                //console.log(ret);
                if (ret.success == true) {
                    suspend("alert-success", "订单提交成功！");
                    //alert(ret.message);
                    sleep(500).then(() => {
                        window.location.href = `/order/${ret.data.order_id}`;
                    });
                }
                else {
                    suspend("alert-danger", ret.message);
                }
            },
        });
    }
</script>
<script type="text/javascript" charset="utf-8">
    function check_buy_num() {
        if (!$.isNumeric($("#buy_num")[0].value)) $("#buy_num")[0].value = 1;
        if ($("#buy_num")[0].value < 1) $("#buy_num")[0].value = 1;
        if ($("#buy_num")[0].value > parseInt("{{ item.shelved_num|safe }}")) $("#buy_num")[0].value = parseInt("{{ item.shelved_num|safe }}");
    }
    $("#buy_num").on("change", function () {
        check_buy_num();
        let temp = (item_price * $("#buy_num")[0].value).toFixed(2);
        $("#totalPrice").text(`￥${temp}`);
        $("#_totalPrice").text(`￥${temp}`);
    });
    //$(".qtybutton").on("click", function () {
    //    check_buy_num();
    //});
</script>
{% endblock %}